Welcome to Doom9's Forum, THE in-place to be for everyone interested in DVD conversion.

Before you start posting please read the forum rules. By posting to this forum you agree to abide by the rules.

 

Go Back   Doom9's Forum > Capturing and Editing Video > Avisynth Usage

Reply
 
Thread Tools Search this Thread Display Modes
Old 22nd January 2012, 14:25   #1  |  Link
eXtremeDevil
Registered User
 
eXtremeDevil's Avatar
 
Join Date: Jul 2010
Posts: 157
Error with GradFun2DBmod

When I try to load it (in any application, it doesn't matter) I get tihs:



The GradFun2DB filter works OK, but the "mod" one... you've seen it.

What can I do?

Thx.
eXtremeDevil is offline   Reply With Quote
Old 22nd January 2012, 14:35   #2  |  Link
Emulgator
Big Bit Savings Now !
 
Emulgator's Avatar
 
Join Date: Feb 2007
Location: close to the wall
Posts: 1,225
Judging from your other post you now may have conflicting versions of plugins, avs and or avsi in your plugins folder
after merging the content of your own plugins folder with the content from your friend's plugin folder.
I suggest to set Explorer View to Details, select Column "Modified" and pull all newer files into a plugins_new folder,
then pull the newer ones back one by one, always checking your scripts to be able to be run.
__________________
"To bypass shortcuts and find suffering...is called QUALity" (Die toten Augen von Friedrichshain)
"Data reduction ? Yep, Sir. We're working on that issue. Synce invntoin uf ling÷age..."
Emulgator is offline   Reply With Quote
Old 22nd January 2012, 14:36   #3  |  Link
eXtremeDevil
Registered User
 
eXtremeDevil's Avatar
 
Join Date: Jul 2010
Posts: 157
I'll try, thx.
eXtremeDevil is offline   Reply With Quote
Old 22nd January 2012, 14:46   #4  |  Link
eXtremeDevil
Registered User
 
eXtremeDevil's Avatar
 
Join Date: Jul 2010
Posts: 157
Shit, I can't do that, the dates doesn't match. In the meantime, how can I fix this concrete problem?

I tell you, I updated Avisynth and all after the plugin replacement.
eXtremeDevil is offline   Reply With Quote
Old 22nd January 2012, 15:06   #5  |  Link
Gavino
Avisynth language lover
 
Join Date: Dec 2007
Location: Spain
Posts: 3,423
Quote:
Originally Posted by eXtremeDevil View Post
Shit, I can't do that, the dates doesn't match.
Use date created, rather than date modified (which doesn't change when you copy a file from somewhere else).

As a more specific advice, check that you have the correct MaskTools dll for your version of Avisynth - mt_masktools-25.dll for Avisynth 2.5 and mt_masktools-26.dll for Avisynth 2.6.
__________________
GScript and GRunT - complex Avisynth scripting made easier
Gavino is offline   Reply With Quote
Old 22nd January 2012, 16:13   #6  |  Link
StainlessS
HeartlessS Usurer
 
StainlessS's Avatar
 
Join Date: Dec 2009
Location: Over the rainbow
Posts: 10,426
You could also get another copy of your friends plugs to see which ones were used
to add-to/replace yours.

EDIT: I have not really use AVSpmod much but I think it complains about use of eg '-'
character in plugin file names and so you might find you have overwritten eg
mt_masktools-25.dll with mt_masktools-26.dll but both using modified file names
of eg mt_masktools.dll. IE, you may be using 2.6 masktools with 2.5 as Gavino suggests.

EDIT: Aah yes, as it says in the error in your image, "mt_masktools.dll".
Using 2.5 MaskTools with 2.6 avisynth should not cause a problem. I personally do not use
any 2.6 plugins (in the plugin folder) , they cause too much trouble if swapping from avisynth
2.5<->2.6 and some 2.6 plugins break scripts anyway, so I mostly avoid them.
__________________
I sometimes post sober.
StainlessS@MediaFire ::: AND/OR ::: StainlessS@SendSpace

"Some infinities are bigger than other infinities", but how many of them are infinitely bigger ???

Last edited by StainlessS; 23rd January 2012 at 15:37.
StainlessS is offline   Reply With Quote
Old 22nd January 2012, 16:54   #7  |  Link
eXtremeDevil
Registered User
 
eXtremeDevil's Avatar
 
Join Date: Jul 2010
Posts: 157
Nothing. I deleted them, and downloaded masktools again. Nothing. Masktools have some problem. Look at the error, what is the "ESP" value? Something to do with spanish, my language? I have Avisinth 2.5.8. I'm trying different versions from here:

http://manao4.free.fr/

The only change I get is this other error:

Script error: there is no function named "mt_makediff" (GradFun2DBmod.v.1.5.avsi).

So? xD

Thx for the answers
eXtremeDevil is offline   Reply With Quote
Old 22nd January 2012, 17:06   #8  |  Link
Gavino
Avisynth language lover
 
Join Date: Dec 2007
Location: Spain
Posts: 3,423
Quote:
Originally Posted by eXtremeDevil View Post
Look at the error, what is the "ESP" value? Something to do with spanish, my language?
ESP = Extended stack pointer, a CPU register.
Nada que ver con espa˝ol.

Quote:
I have Avisinth 2.5.8. I'm trying different versions from here:
http://manao4.free.fr/
The only change I get is this other error:
Script error: there is no function named "mt_makediff"
You are probably getting that from using a version 1 MaskTools dll.
You want this one: http://manao4.free.fr/masktools-v2.0a48.zip.
Copy mt_masktools-25.dll (only) from the zip file into your plugins folder.
__________________
GScript and GRunT - complex Avisynth scripting made easier
Gavino is offline   Reply With Quote
Old 22nd January 2012, 17:15   #9  |  Link
eXtremeDevil
Registered User
 
eXtremeDevil's Avatar
 
Join Date: Jul 2010
Posts: 157
It finally works!! Thanks a lot you geniuses! I guess problem solved!

Last edited by Guest; 23rd January 2012 at 00:48. Reason: rule 4: no profanity
eXtremeDevil is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +1. The time now is 11:44.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2022, vBulletin Solutions Inc.